/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for AD_EntityType
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_AD_EntityType extends PO
{
/** Standard Constructor
@param ctx context
@param AD_EntityType_ID id
@param trxName transaction
*/
public X_AD_EntityType (Ctx ctx, int AD_EntityType_ID, String trxName)
{
super (ctx, AD_EntityType_ID, trxName);
/** if (AD_EntityType_ID == 0)
{
setAD_EntityType_ID (0);	// @SQL=SELECT NVL(MAX(AD_EntityType_ID),999999)+1 FROM AD_EntityType WHERE AD_EntityType_ID > 1000
setEntityType (null);	// U
setName (null);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_AD_EntityType (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27474963914789L;
/** Last Updated Timestamp 2007-10-20 09:03:18.0 */
public static final long updatedMS = 1192838598000L;
/** AD_Table_ID=882 */
public static final int Table_ID=882;

/** TableName=AD_EntityType */
public static final String Table_Name="AD_EntityType";

protected static KeyNamePair Model = new KeyNamePair(882,"AD_EntityType");

protected BigDecimal accessLevel = new BigDecimal(4);
/** AccessLevel
@return 4 - System 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_AD_EntityType[").append(get_ID()).append("]");
return sb.toString();
}
/** Set Entity Type.
@param AD_EntityType_ID System Entity Type */
public void setAD_EntityType_ID (int AD_EntityType_ID)
{
if (AD_EntityType_ID < 1) throw new IllegalArgumentException ("AD_EntityType_ID is mandatory.");
set_ValueNoCheck ("AD_EntityType_ID", new Integer(AD_EntityType_ID));
}
/** Get Entity Type.
@return System Entity Type */
public int getAD_EntityType_ID() 
{
Integer ii = (Integer)get_Value("AD_EntityType_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set BinaryData.
@param BinaryData Binary Data */
public void setBinaryData (byte[] BinaryData)
{
set_Value ("BinaryData", BinaryData);
}
/** Get BinaryData.
@return Binary Data */
public byte[] getBinaryData() 
{
return (byte[])get_Value("BinaryData");
}
/** Set Classpath.
@param Classpath Extension Classpath */
public void setClasspath (String Classpath)
{
if (Classpath != null && Classpath.length() > 255)
{
log.warning("Length > 255 - truncated");
Classpath = Classpath.substring(0,255);
}
set_Value ("Classpath", Classpath);
}
/** Get Classpath.
@return Extension Classpath */
public String getClasspath() 
{
return (String)get_Value("Classpath");
}
/** Set Create Component.
@param CreateComponent Create Component */
public void setCreateComponent (String CreateComponent)
{
if (CreateComponent != null && CreateComponent.length() > 1)
{
log.warning("Length > 1 - truncated");
CreateComponent = CreateComponent.substring(0,1);
}
set_Value ("CreateComponent", CreateComponent);
}
/** Get Create Component.
@return Create Component */
public String getCreateComponent() 
{
return (String)get_Value("CreateComponent");
}
/** Set Description.
@param Description Optional short description of the record */
public void setDescription (String Description)
{
if (Description != null && Description.length() > 255)
{
log.warning("Length > 255 - truncated");
Description = Description.substring(0,255);
}
set_Value ("Description", Description);
}
/** Get Description.
@return Optional short description of the record */
public String getDescription() 
{
return (String)get_Value("Description");
}
/** Set Entity Type.
@param EntityType Dictionary Entity Type;
 Determines ownership and synchronization */
public void setEntityType (String EntityType)
{
if (EntityType == null) throw new IllegalArgumentException ("EntityType is mandatory.");
if (EntityType.length() > 4)
{
log.warning("Length > 4 - truncated");
EntityType = EntityType.substring(0,4);
}
set_ValueNoCheck ("EntityType", EntityType);
}
/** Get Entity Type.
@return Dictionary Entity Type;
 Determines ownership and synchronization */
public String getEntityType() 
{
return (String)get_Value("EntityType");
}
/** Set Comment.
@param Help Comment, Help or Hint */
public void setHelp (String Help)
{
if (Help != null && Help.length() > 2000)
{
log.warning("Length > 2000 - truncated");
Help = Help.substring(0,2000);
}
set_Value ("Help", Help);
}
/** Get Comment.
@return Comment, Help or Hint */
public String getHelp() 
{
return (String)get_Value("Help");
}
/** Set License Text.
@param LicenseText Text of the License of the Component */
public void setLicenseText (String LicenseText)
{
set_Value ("LicenseText", LicenseText);
}
/** Get License Text.
@return Text of the License of the Component */
public String getLicenseText() 
{
return (String)get_Value("LicenseText");
}
/** Set ModelPackage.
@param ModelPackage Java Package of the model classes */
public void setModelPackage (String ModelPackage)
{
if (ModelPackage != null && ModelPackage.length() > 255)
{
log.warning("Length > 255 - truncated");
ModelPackage = ModelPackage.substring(0,255);
}
set_Value ("ModelPackage", ModelPackage);
}
/** Get ModelPackage.
@return Java Package of the model classes */
public String getModelPackage() 
{
return (String)get_Value("ModelPackage");
}
/** Set Name.
@param Name Alphanumeric identifier of the entity */
public void setName (String Name)
{
if (Name == null) throw new IllegalArgumentException ("Name is mandatory.");
if (Name.length() > 60)
{
log.warning("Length > 60 - truncated");
Name = Name.substring(0,60);
}
set_Value ("Name", Name);
}
/** Get Name.
@return Alphanumeric identifier of the entity */
public String getName() 
{
return (String)get_Value("Name");
}
/** Get Record ID/ColumnName
@return ID/ColumnName pair */
public KeyNamePair getKeyNamePair() 
{
return new KeyNamePair(get_ID(), getName());
}
/** Set Process Now.
@param Processing Process Now */
public void setProcessing (boolean Processing)
{
set_Value ("Processing", new Boolean(Processing));
}
/** Get Process Now.
@return Process Now */
public boolean isProcessing() 
{
Object oo = get_Value("Processing");
if (oo != null) 
{
 if (oo instanceof Boolean) return ((Boolean)oo).booleanValue();
 return "Y".equals(oo);
}
return false;
}
/** Set Record ID.
@param Record_ID Direct internal record ID */
public void setRecord_ID (int Record_ID)
{
if (Record_ID <= 0) set_ValueNoCheck ("Record_ID", null);
else
set_ValueNoCheck ("Record_ID", new Integer(Record_ID));
}
/** Get Record ID.
@return Direct internal record ID */
public int getRecord_ID() 
{
Integer ii = (Integer)get_Value("Record_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Summary.
@param Summary Textual summary of this request */
public void setSummary (String Summary)
{
if (Summary != null && Summary.length() > 2000)
{
log.warning("Length > 2000 - truncated");
Summary = Summary.substring(0,2000);
}
set_Value ("Summary", Summary);
}
/** Get Summary.
@return Textual summary of this request */
public String getSummary() 
{
return (String)get_Value("Summary");
}
/** Set Version.
@param Version Version of the table definition */
public void setVersion (String Version)
{
if (Version != null && Version.length() > 20)
{
log.warning("Length > 20 - truncated");
Version = Version.substring(0,20);
}
set_Value ("Version", Version);
}
/** Get Version.
@return Version of the table definition */
public String getVersion() 
{
return (String)get_Value("Version");
}
}
